unit uIdAntiFreezeBase;

interface

uses Classes, Rubies;

var
  cIdAntiFreezeBase: Tvalue;

function ap_cIdAntiFreezeBase: Tvalue;
procedure Init_IdAntiFreezeBase;

implementation

uses
  SysUtils, uDefUtils, Pythia, IdAntiFreezeBase, IdHandle, uIndy;

function ap_cIdAntiFreezeBase: Tvalue;
begin
  result := cIdAntiFreezeBase;
end;

procedure IdAntiFreezeBase_setup(obj: Tvalue; real: TIdAntiFreezeBase);
begin
end;

function IdAntiFreezeBase_event_handle(This, name: Tvalue): Tvalue; cdecl;
begin
  EventHandle(This, name, [Handle, PhiGetHandle]);
  result := Qnil;
end;

procedure Init_IdAntiFreezeBase;
begin
  cIdAntiFreezeBase := rb_define_class_under(mIndy, 'IdAntiFreezeBase', ap_cComponent);
  DefineProp(cIdAntiFreezeBase, TIdAntiFreezeBase);
  rb_define_method(cIdAntiFreezeBase, 'event_handle', @IdAntiFreezeBase_event_handle, 1);
end;

end.
